import { AxiosRequestConfig, AxiosResponse, AxiosError, AxiosInstance } from 'axios';
interface packAxiosConfigInterface {
    /**
     * 是否打印调试信息
     */
    silent?: boolean;
    /**
     * 是否处理重复的请求
     */
    didRequestRepeat?: boolean;
    requestBefore?: (arg: AxiosRequestConfig) => AxiosRequestConfig;
    requestSuccess?: (arg: AxiosResponse) => AxiosResponse;
    requestError?: (arg: AxiosError) => AxiosError | Promise<never>;
}
declare class HttpService {
    private queueInstance;
    axiosOpts: AxiosRequestConfig;
    configs: packAxiosConfigInterface;
    service: AxiosInstance;
    constructor(options?: packAxiosConfigInterface, axiosOpts?: AxiosRequestConfig);
    axiosSetup(): void;
    log(...args: any): void;
    get<T>(this: any, url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    delete<T>(this: any, url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    head<T>(this: any, url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    options<T>(this: any, url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    post<T>(this: any, url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    put<T>(this: any, url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    patch<T>(this: any, url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
}
export default HttpService;
